开发者社区> 问答> 正文

使用IE浏览器new oss提示对象不支持此操作

测试学习001 2018-03-12 14:30:35 1284

使用IE浏览器new oss时,提示对象不支持此操作:

try {
var client = new OSS({

      region: xx,
      accessKeyId: xx,
      accessKeySecret: xx,
      stsToken: xx,
      bucket: xx
    })

} catch (err) {
//会执行到这里,提示:Type Error:对象不支持此操作
}

当我使用谷歌浏览器使用时,这段代码又是完全正常的。所以感觉很是奇怪。

对象存储
分享到
取消 提交回答
全部回答(1)
  • stone哥
    2019-07-17 22:01:26

    一般IE9或以上版本才是标准的w3c标准,所以还是建议是chrome浏览器,会少很多浏览器兼容性问题。

    0 0
+ 订阅

时时分享云计算技术内容,助您降低 IT 成本,提升运维效率,使您更专注于核心业务创新。

推荐文章
相似问题